package com.eactive.eai.common.sessioninfo;

public class TerminalInfoVO {
	public enum Status {
		active, inactive
	};

	private String terminalNo;
	private String rofcCode;
	private String brnName;
	private String brnCode;
	private String socInstance;
	private String socRemoteAddr;
	private Status socSessionStatus;
	// YYYYMMDDHHMI24SS
	private String createTime;

	public TerminalInfoVO(String terminalNo) {
		this.terminalNo = terminalNo;
		// this.createTime = DatetimeUtil.getCurrentDateTime();
	}

	public String getTerminalNo() {
		return terminalNo;
	}

	public void setTerminalNo(String terminalNo) {
		this.terminalNo = terminalNo;
	}

	public String getRofcCode() {
		return rofcCode;
	}

	public void setRofcCode(String rofcCode) {
		this.rofcCode = rofcCode;
	}

	public String getBrnName() {
		return brnName;
	}

	public void setBrnName(String brnName) {
		this.brnName = brnName;
	}

	public String getBrnCode() {
		return brnCode;
	}

	public void setBrnCode(String brnCode) {
		this.brnCode = brnCode;
	}

	public String getSocInstance() {
		return socInstance;
	}

	public void setSocInstance(String socInstance) {
		this.socInstance = socInstance;
	}

	public String getSocRemoteAddr() {
		return socRemoteAddr;
	}

	public void setSocRemoteAddr(String socRemoteAddr) {
		this.socRemoteAddr = socRemoteAddr;
	}

	public Status getSocSessionStatus() {
		return socSessionStatus;
	}

	public String getSocSessionStatusInfo() {
		return socSessionStatus == null ? "" : socSessionStatus.toString();
	}

	public void setSocSessionStatus(Status socSessionStatus) {
		this.socSessionStatus = socSessionStatus;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	@Override
	public String toString() {
		return "TerminalInfoVO [terminalNo=" + terminalNo + ", rofcCode=" + rofcCode + ", brnName=" + brnName
				+ ", brnCode=" + brnCode + ", socInstance=" + socInstance + ", socRemoteAddr=" + socRemoteAddr
				+ ", socSessionStatus=" + socSessionStatus + ", createTime=" + createTime + "]";
	}

}
